CREATE TABLE &LIBREF..REPO_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Instrument Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Datetime',
     REPO_INSTRUMENT_TYPE_CD VARCHAR(5) label='Repo Instrument Type Code',
     VALUATION_MODEL_ID   VARCHAR(32) label='Valuation Model Id',
     ELIGIBLE_REPO_CARVE_OUT_FLG CHARACTER(1) label='Eligible Repo Carve Out Flag',
     REPO_PRICE_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Repo Price Amount',
     REPO_RT              NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Repo Rate',
     COLLATERAL_TYPE_CD   VARCHAR(3) label='Collateral Type Code',
     REPO_COLLATERAL_EXCHANGE_FLG CHARACTER(1) label='Repo Collateral Exchange Flag',
     ROLLOVER_STRATEGY_ID VARCHAR(32) label='Rollover Strategy Identifier',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Datetime',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);

